Last Comment Bug 663622 - notify the user that session restore was enabled
: notify the user that session restore was enabled
Status: VERIFIED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
-- normal
: Firefox 8
Assigned To: Tim Taubert [:ttaubert]
:
:
Mentors:
Depends on: 656778
Blocks: 660175 671330
  Show dependency treegraph
 
Reported: 2011-06-11 05:39 PDT by Tim Taubert [:ttaubert]
Modified: 2016-04-12 14:00 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (7.04 KB, patch)
2011-06-13 11:38 PDT, Tim Taubert [:ttaubert]
dolske: review+
limi: ui‑review+
raymond: feedback+
Details | Diff | Splinter Review
Screenshot with banner at the bottom (57.28 KB, image/png)
2011-06-23 02:29 PDT, Tim Taubert [:ttaubert]
no flags Details

Description User image Tim Taubert [:ttaubert] 2011-06-11 05:39:15 PDT
Since bug 656778 we automatically enable session restore if we detect Panorama usage. We do it silently at the moment but we want a banner to be shown.

The banner and its animation can be found here:

https://bugzilla.mozilla.org/attachment.cgi?id=532424
Comment 1 User image Tim Taubert [:ttaubert] 2011-06-13 11:38:02 PDT
Created attachment 538964 [details] [diff] [review]
patch v1
Comment 2 User image Raymond Lee [:raymondlee] 2011-06-13 12:27:41 PDT
Comment on attachment 538964 [details] [diff] [review]
patch v1

Looks good!
Comment 3 User image Tim Taubert [:ttaubert] 2011-06-14 00:58:04 PDT
Comment on attachment 538964 [details] [diff] [review]
patch v1

Passed try:

http://tbpl.mozilla.org/?tree=Try&pusher=tim.taubert@gmx.de&rev=0c9a3684bc75
Comment 4 User image Justin Dolske [:Dolske] 2011-06-22 19:47:54 PDT
Comment on attachment 538964 [details] [diff] [review]
patch v1

Could you post a screenshot and flag someone from UX for a ui-review? r+ with that.
Comment 5 User image Tim Taubert [:ttaubert] 2011-06-23 02:29:39 PDT
Created attachment 541317 [details]
Screenshot with banner at the bottom
Comment 6 User image Jesse Ruderman 2011-07-04 16:07:46 PDT
Should probably have a button letting you undo the change or taking you to the relevant prefs pane.
Comment 7 User image Alex Limi (:limi) — Firefox UX Team 2011-07-04 16:50:24 PDT
Comment on attachment 538964 [details] [diff] [review]
patch v1

Looks good to me on OS X.
Comment 8 User image Asa Dotzler [:asa] 2011-07-04 18:26:53 PDT
I'm still concerned that someone who accidentally invokes Panorama and has their session restore behavior changed will not understand how to undo that change.
Comment 9 User image Tim Taubert [:ttaubert] 2011-07-13 10:29:04 PDT
(In reply to comment #6)
> Should probably have a button letting you undo the change or taking you to
> the relevant prefs pane.

That's a good idea. The pref switch has already landed (bug 656778) so we should land this notification as soon as possible to at least let the user know what happened. Filed follow-up bug 671330.

(In reply to comment #8)
> I'm still concerned that someone who accidentally invokes Panorama and has
> their session restore behavior changed will not understand how to undo that
> change.

The pref is not switched when accidentally invoking Panorama but when we "detect" actual usage (see bug 656778).
Comment 10 User image Tim Taubert [:ttaubert] 2011-07-13 10:40:11 PDT
http://hg.mozilla.org/integration/fx-team/rev/3dba1aa7adc7
Comment 11 User image Tim Taubert [:ttaubert] 2011-07-13 15:30:14 PDT
http://hg.mozilla.org/mozilla-central/rev/3dba1aa7adc7
Comment 12 User image Virgil Dicu [:virgil] [QA] 2011-09-15 05:51:40 PDT
Mozilla/5.0 (Windows NT 5.1; rv:8.0a2) Gecko/20110914 Firefox/8.0a2
Mozilla/5.0 (Windows NT 5.1; rv:9.0a1) Gecko/20110914 Firefox/9.0a1

Verified on Ubuntu 11.04, Mac OS 10.6, Windows XP and Windows 7.

1. Start firefox with a new profile.
2. Enter Panorama and make some changes, such as moving a tab from one group to another.

The first time the user makes changes in Panorama in a new session the following message is displayed for a few seconds:"Tabs and groups will automatically be restored the next time you start Nightly/Aurora".
Comment 13 User image Virgil Dicu [:virgil] [QA] 2011-09-15 07:11:05 PDT
Created new litmus test case for Aurora branch: https://litmus.mozilla.org/show_test.cgi?id=29782

Note You need to log in before you can comment on or make changes to this bug.